# <Sensor> <Level> <MinAlarm> <MaxAlarm> <poll freq> <Actions> [...<Actions>]

# Thermistor             CPU clock             Charge_curr            USB_curr            GPU clock               modem
pba_therm 8 -1000 470 10 cpu_perflevel:1512000 charge_current_limit:0 usb_current_limit:0 gpu_perflevel:400000000 modem_level:0
pba_therm 7 470 490 10 cpu_perflevel:1512000 charge_current_limit:1 usb_current_limit:1 gpu_perflevel:400000000 modem_level:0
pba_therm 6 490 510 5 cpu_perflevel:1512000 charge_current_limit:2 usb_current_limit:2 gpu_perflevel:400000000 modem_level:0
pba_therm 5 510 530 3 cpu_perflevel:1512000 charge_current_limit:3 usb_current_limit:2 gpu_perflevel:400000000 modem_level:0
pba_therm 4 520 540 2 cpu_perflevel:1512000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:400000000 modem_level:0
pba_therm 3 530 550 2 cpu_perflevel:1026000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:400000000 modem_level:0
pba_therm 2 540 560 2 cpu_perflevel:918000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:400000000 modem_level:0
pba_therm 1 550 710 1 cpu_perflevel:702000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:200000000 modem_level:1
pba_therm 0 580 840 1 cpu_perflevel:384000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:200000000 modem_level:1
pba_therm CRITICAL 1 NOTIFY SHUTDOWN

bl_therm 10 -1000 370 10 NOTIFY CAM_NORMAL lcd_brightnesslevel:255
bl_therm 9 360 380 5 NOTIFY CAM_NORMAL lcd_brightnesslevel:225
bl_therm 8 370 390 5 NOTIFY CAM_NORMAL lcd_brightnesslevel:204
bl_therm 7 380 400 3 NOTIFY CAM_NORMAL lcd_brightnesslevel:175
bl_therm 6 390 410 3 NOTIFY CAM_NORMAL lcd_brightnesslevel:152
bl_therm 5 400 420 2 NOTIFY CAM_NORMAL lcd_brightnesslevel:128
bl_therm 4 410 430 2 NOTIFY CAM_NORMAL lcd_brightnesslevel:114
bl_therm 3 420 470 2 NOTIFY CAM_NORMAL lcd_brightnesslevel:100
bl_therm 2 470 480 1 NOTIFY CAM_WARNING lcd_brightnesslevel:89
bl_therm 1 480 550 1 NOTIFY CAM_CRITICAL lcd_brightnesslevel:75
bl_therm 0 540 750 1 NOTIFY CAM_CRITICAL lcd_brightnesslevel:66
bl_therm CRITICAL 1 NOTIFY SHUTDOWN

# backup mitigation solution
apq_therm 0 -1000 850 10 NONE
apq_therm CRITICAL 1 NOTIFY SHUTDOWN

# MSM start-up high current fix from Qualcomm
tsens_tz_sensor7 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor7 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor7 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor7 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor7 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor7 CRITICAL 1 NOTIFY SHUTDOWN

tsens_tz_sensor8 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor8 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor8 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor8 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor8 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor8 CRITICAL 1 NOTIFY SHUTDOWN

tsens_tz_sensor9 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor9 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor9 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor9 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor9 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor9 CRITICAL 1 NOTIFY SHUTDOWN

tsens_tz_sensor10 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor10 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor10 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor10 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor10 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor10 CRITICAL 1 NOTIFY SHUTDOWN

# Device protection purpose
tsens_tz_sensor0 0 -1000 1200 10 NONE
tsens_tz_sensor0 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor1 0 -1000 1200 10 NONE
tsens_tz_sensor1 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor2 0 -1000 1200 10 NONE
tsens_tz_sensor2 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor4 0 -1000 1200 10 NONE
tsens_tz_sensor4 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor5 0 -1000 1200 10 NONE
tsens_tz_sensor5 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor6 0 -1000 1200 10 NONE
tsens_tz_sensor6 CRITICAL 1 NOTIFY SHUTDOWN
pm8921_tz 0 -1000 1200 10 NONE
pm8921_tz CRITICAL 1 NOTIFY SHUTDOWN

[HD-CAMERA-RECORDING]
pba_therm 3 -1000 440 3 cpu_perflevel:1512000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:400000000 modem_level:0
pba_therm 2 430 590 1 cpu_perflevel:702000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:400000000 modem_level:0
pba_therm 1 570 710 1 cpu_perflevel:702000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:400000000 modem_level:1
pba_therm 0 580 840 1 cpu_perflevel:384000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:200000000 modem_level:1
pba_therm CRITICAL 1 NOTIFY SHUTDOWN

bl_therm 4 -1000 390 5 NOTIFY CAM_NORMAL lcd_brightnesslevel:150
bl_therm 3 380 410 5 NOTIFY CAM_NORMAL lcd_brightnesslevel:128
bl_therm 2 400 430 5 NOTIFY CAM_NORMAL lcd_brightnesslevel:100
bl_therm 1 420 490 1 NOTIFY CAM_NORMAL lcd_brightnesslevel:75
bl_therm 0 480 750 1 NOTIFY CAM_CRITICAL lcd_brightnesslevel:75
bl_therm CRITICAL 1 NOTIFY SHUTDOWN

# backup mitigation solution
apq_therm 0 -1000 850 10 NONE
apq_therm CRITICAL 1 NOTIFY SHUTDOWN

# MSM start-up high current fix from Qualcomm
tsens_tz_sensor7 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor7 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor7 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor7 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor7 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor7 CRITICAL 1 NOTIFY SHUTDOWN

tsens_tz_sensor8 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor8 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor8 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor8 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor8 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor8 CRITICAL 1 NOTIFY SHUTDOWN

tsens_tz_sensor9 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor9 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor9 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor9 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor9 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor9 CRITICAL 1 NOTIFY SHUTDOWN

tsens_tz_sensor10 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor10 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor10 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor10 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor10 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor10 CRITICAL 1 NOTIFY SHUTDOWN

# Device protection purpose
tsens_tz_sensor0 0 -1000 1200 10 NONE
tsens_tz_sensor0 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor1 0 -1000 1200 10 NONE
tsens_tz_sensor1 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor2 0 -1000 1200 10 NONE
tsens_tz_sensor2 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor4 0 -1000 1200 10 NONE
tsens_tz_sensor4 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor5 0 -1000 1200 10 NONE
tsens_tz_sensor5 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor6 0 -1000 1200 10 NONE
tsens_tz_sensor6 CRITICAL 1 NOTIFY SHUTDOWN
pm8921_tz 0 -1000 1200 10 NONE
pm8921_tz CRITICAL 1 NOTIFY SHUTDOWN

[BURST-SHOT-CAMERA]
pba_therm 4 -1000 540 2 cpu_perflevel:1512000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:400000000 modem_level:0
pba_therm 3 530 550 2 cpu_perflevel:1026000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:400000000 modem_level:0
pba_therm 2 540 590 2 cpu_perflevel:918000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:400000000 modem_level:0
pba_therm 1 570 710 1 cpu_perflevel:918000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:400000000 modem_level:1
pba_therm 0 580 840 1 cpu_perflevel:384000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:200000000 modem_level:1
pba_therm CRITICAL 1 NOTIFY SHUTDOWN

bl_therm 4 -1000 390 5 NOTIFY CAM_NORMAL lcd_brightnesslevel:150
bl_therm 3 380 410 5 NOTIFY CAM_NORMAL lcd_brightnesslevel:128
bl_therm 2 400 430 5 NOTIFY CAM_NORMAL lcd_brightnesslevel:100
bl_therm 1 420 490 1 NOTIFY CAM_NORMAL lcd_brightnesslevel:75
bl_therm 0 480 750 1 NOTIFY CAM_CRITICAL lcd_brightnesslevel:75
bl_therm CRITICAL 1 NOTIFY SHUTDOWN

# backup mitigation solution
apq_therm 0 -1000 850 10 NONE
apq_therm CRITICAL 1 NOTIFY SHUTDOWN

# MSM start-up high current fix from Qualcomm
tsens_tz_sensor7 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor7 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor7 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor7 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor7 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor7 CRITICAL 1 NOTIFY SHUTDOWN

tsens_tz_sensor8 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor8 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor8 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor8 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor8 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor8 CRITICAL 1 NOTIFY SHUTDOWN

tsens_tz_sensor9 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor9 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor9 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor9 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor9 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor9 CRITICAL 1 NOTIFY SHUTDOWN

tsens_tz_sensor10 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor10 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor10 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor10 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor10 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor10 CRITICAL 1 NOTIFY SHUTDOWN

# Device protection purpose
tsens_tz_sensor0 0 -1000 1200 10 NONE
tsens_tz_sensor0 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor1 0 -1000 1200 10 NONE
tsens_tz_sensor1 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor2 0 -1000 1200 10 NONE
tsens_tz_sensor2 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor4 0 -1000 1200 10 NONE
tsens_tz_sensor4 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor5 0 -1000 1200 10 NONE
tsens_tz_sensor5 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor6 0 -1000 1200 10 NONE
tsens_tz_sensor6 CRITICAL 1 NOTIFY SHUTDOWN
pm8921_tz 0 -1000 1200 10 NONE
pm8921_tz CRITICAL 1 NOTIFY SHUTDOWN

[NOTTV-APP]
pba_therm 5 -1000 440 3 cpu_perflevel:1512000 charge_current_limit:1 usb_current_limit:1 gpu_perflevel:400000000 modem_level:0
pba_therm 4 440 470 5 cpu_perflevel:1026000 charge_current_limit:2 usb_current_limit:2 gpu_perflevel:400000000 modem_level:0
pba_therm 3 470 490 5 cpu_perflevel:702000 charge_current_limit:3 usb_current_limit:3 gpu_perflevel:400000000 modem_level:0
pba_therm 2 490 580 1 cpu_perflevel:702000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:400000000 modem_level:0
pba_therm 1 570 710 1 cpu_perflevel:702000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:400000000 modem_level:1
pba_therm 0 580 840 1 cpu_perflevel:384000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:200000000 modem_level:1
pba_therm CRITICAL 1 NOTIFY SHUTDOWN

bl_therm 2 -1000 430 5 NOTIFY CAM_NORMAL lcd_brightnesslevel:128
bl_therm 1 420 490 1 NOTIFY CAM_NORMAL lcd_brightnesslevel:100
bl_therm 0 480 750 1 NOTIFY CAM_CRITICAL lcd_brightnesslevel:75
bl_therm CRITICAL 1 NOTIFY SHUTDOWN

# backup mitigation solution
apq_therm 0 -1000 850 10 NONE
apq_therm CRITICAL 1 NOTIFY SHUTDOWN

# MSM start-up high current fix from Qualcomm
tsens_tz_sensor7 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor7 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor7 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor7 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor7 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor7 CRITICAL 1 NOTIFY SHUTDOWN

tsens_tz_sensor8 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor8 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor8 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor8 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor8 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor8 CRITICAL 1 NOTIFY SHUTDOWN

tsens_tz_sensor9 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor9 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor9 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor9 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor9 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor9 CRITICAL 1 NOTIFY SHUTDOWN

tsens_tz_sensor10 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor10 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor10 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor10 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor10 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor10 CRITICAL 1 NOTIFY SHUTDOWN

# Device protection purpose
tsens_tz_sensor0 0 -1000 1200 10 NONE
tsens_tz_sensor0 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor1 0 -1000 1200 10 NONE
tsens_tz_sensor1 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor2 0 -1000 1200 10 NONE
tsens_tz_sensor2 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor4 0 -1000 1200 10 NONE
tsens_tz_sensor4 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor5 0 -1000 1200 10 NONE
tsens_tz_sensor5 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor6 0 -1000 1200 10 NONE
tsens_tz_sensor6 CRITICAL 1 NOTIFY SHUTDOWN
pm8921_tz 0 -1000 1200 10 NONE
pm8921_tz CRITICAL 1 NOTIFY SHUTDOWN

[SPECIFIC-COMPOUND-001]
pba_therm 2 -1000 560 1 cpu_perflevel:702000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:200000000 modem_level:0
pba_therm 1 550 710 1 cpu_perflevel:702000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:200000000 modem_level:1
pba_therm 0 580 840 1 cpu_perflevel:384000 charge_current_limit:3 usb_current_limit:4 gpu_perflevel:200000000 modem_level:1
pba_therm CRITICAL 1 NOTIFY SHUTDOWN

bl_therm 4 -1000 390 5 NOTIFY CAM_NORMAL lcd_brightnesslevel:150
bl_therm 3 380 410 5 NOTIFY CAM_NORMAL lcd_brightnesslevel:128
bl_therm 2 400 430 5 NOTIFY CAM_NORMAL lcd_brightnesslevel:100
bl_therm 1 420 510 1 NOTIFY CAM_NORMAL lcd_brightnesslevel:75
bl_therm 0 500 750 1 NOTIFY CAM_CRITICAL lcd_brightnesslevel:75
bl_therm CRITICAL 1 NOTIFY SHUTDOWN

# backup mitigation solution
apq_therm 0 -1000 850 10 NONE
apq_therm CRITICAL 1 NOTIFY SHUTDOWN

# MSM start-up high current fix from Qualcomm
tsens_tz_sensor7 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor7 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor7 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor7 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor7 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor7 CRITICAL 1 NOTIFY SHUTDOWN

tsens_tz_sensor8 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor8 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor8 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor8 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor8 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor8 CRITICAL 1 NOTIFY SHUTDOWN

tsens_tz_sensor9 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor9 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor9 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor9 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor9 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor9 CRITICAL 1 NOTIFY SHUTDOWN

tsens_tz_sensor10 4 -1000 960 5 cpu_perflevel:1512000
tsens_tz_sensor10 3 950 1050 1 cpu_perflevel:1242000
tsens_tz_sensor10 2 1050 1100 1 cpu_perflevel:702000
tsens_tz_sensor10 1 1100 1150 1 cpu_perflevel:594000
tsens_tz_sensor10 0 1150 1200 1 cpu_perflevel:486000
tsens_tz_sensor10 CRITICAL 1 NOTIFY SHUTDOWN

# Device protection purpose
tsens_tz_sensor0 0 -1000 1200 10 NONE
tsens_tz_sensor0 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor1 0 -1000 1200 10 NONE
tsens_tz_sensor1 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor2 0 -1000 1200 10 NONE
tsens_tz_sensor2 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor4 0 -1000 1200 10 NONE
tsens_tz_sensor4 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor5 0 -1000 1200 10 NONE
tsens_tz_sensor5 CRITICAL 1 NOTIFY SHUTDOWN
tsens_tz_sensor6 0 -1000 1200 10 NONE
tsens_tz_sensor6 CRITICAL 1 NOTIFY SHUTDOWN
pm8921_tz 0 -1000 1200 10 NONE
pm8921_tz CRITICAL 1 NOTIFY SHUTDOWN
